newsGoatee - News

 
 

goatee-0.4.0, goatee-gtk-0.4.0 released

Item posted by Bryan Gardiner <khumba> on Mon 25 Jan 2021 06:24:27 AM UTC.

Goatee has been updated to work with ghc-8.10, and now requires at least base-4.12 (ghc-8.6).  Changes were required with respect to the MonadFail Proposal: error handling in the Go monad is now improved, and many conditions that called 'error' before can now be handled either with explicit error code return types, or with MonadError.

- Bryan

Back to the top

Powered by Savane 3.13-b921.
Corresponding source code